summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartchus2020-09-13 13:53:34 +0200
committerMartchus2020-09-13 13:53:34 +0200
commitfadbc370594448d098f2989f92e6c762b65d1b35 (patch)
treebe2b85b9d6ad31bd292f96faaa652147b05000b8
downloadaur-fadbc370594448d098f2989f92e6c762b65d1b35.tar.gz
Update to 5.15.1
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD105
-rw-r--r--PKGBUILD.sh.ep1
-rw-r--r--qtspeech-sha256.txt1
4 files changed, 129 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bb1fa91a0bc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = mingw-w64-qt5-speech-static
+ pkgdesc = Qt module to make text to speech and speech recognition easy (mingw-w64)
+ pkgver = 5.15.1
+ pkgrel = 1
+ url = https://www.qt.io/
+ arch = any
+ groups = mingw-w64-qt5
+ license = GPL3
+ license = LGPL
+ license = FDL
+ license = custom
+ makedepends = mingw-w64-gcc
+ depends = mingw-w64-qt5-multimedia-static
+ depends = mingw-w64-qt5-speech
+ options = !strip
+ options = !buildflags
+ options = staticlibs
+ source = https://download.qt.io/official_releases/qt/5.15/5.15.1/submodules/qtspeech-everywhere-src-5.15.1.tar.xz
+ sha256sums = 7d2a5f7cf653d711de249ce4689959866d2381c625ced7ed4db7c8baaa140edc
+
+pkgname = mingw-w64-qt5-speech-static
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..030dc3a0dfe
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,105 @@
+# Maintainer: Martchus <martchus@gmx.net>
+
+# All my PKGBUILDs are managed at https://github.com/Martchus/PKGBUILDs where
+# you also find the URL of a binary repository.
+
+# This file is created from PKGBUILD.sh.ep contained by the mentioned repository.
+# Do not edit it manually! See README.md in the repository's root directory
+# for more information.
+
+_qt_module=qtspeech
+pkgname=mingw-w64-qt5-speech-static
+pkgver=5.15.1
+pkgrel=1
+arch=('any')
+pkgdesc="Qt module to make text to speech and speech recognition easy (mingw-w64)"
+depends=('mingw-w64-qt5-multimedia-static')
+optdepends=()
+makedepends=('mingw-w64-gcc')
+# mingw-w64-flite and mingw-w64-speech-dispatcher are currently not available
+#optdepends=('mingw-w64-flite: flite TTS backend' 'mingw-w64-speech-dispatcher: speech-dispatcher TTS backend')
+#makedepends=('mingw-w64-gcc' 'mingw-w64-flite' 'mingw-w64-speech-dispatcher')
+license=('GPL3' 'LGPL' 'FDL' 'custom')
+options=('!strip' '!buildflags' 'staticlibs')
+groups=('mingw-w64-qt5')
+url='https://www.qt.io/'
+_pkgfqn="${_qt_module}-everywhere-src-${pkgver}"
+source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${pkgver}/submodules/${_pkgfqn}.tar.xz")
+sha256sums=('7d2a5f7cf653d711de249ce4689959866d2381c625ced7ed4db7c8baaa140edc')
+
+_architectures='i686-w64-mingw32 x86_64-w64-mingw32'
+
+depends+=(${pkgname%-static}) # the static version relies on the shared version for build tools and headers
+_configurations+=('CONFIG+=no_smart_library_merge CONFIG+=static')
+
+build() {
+ cd "${srcdir}/${_pkgfqn}"
+
+ for _arch in ${_architectures}; do
+ for _config in "${_configurations[@]}"; do
+ msg2 "Building ${_config##*=} version for ${_arch}"
+ mkdir -p build-${_arch}-${_config##*=} && pushd build-${_arch}-${_config##*=}
+ ${_arch}-qmake-qt5 ../${_qt_module}.pro ${_config} ${_additional_qmake_args}
+ make
+ popd
+ done
+ done
+}
+
+package() {
+ cd "${srcdir}/${_pkgfqn}"
+
+ for _arch in ${_architectures}; do
+ for _config in "${_configurations[@]}"; do
+ pushd build-${_arch}-${_config##*=}
+
+ make INSTALL_ROOT="$pkgdir" install
+
+ # use prl files from build directory since installed prl files seem to have incorrect QMAKE_PRL_LIBS_FOR_CMAKE
+ if [[ -d 'lib' ]]; then
+ pushd 'lib'
+ find -iname '*.static.prl' -exec cp --target-directory "${pkgdir}/usr/${_arch}/lib" --parents {} +
+ popd
+ fi
+ if [[ -d 'plugins' ]]; then
+ pushd 'plugins'
+ find -iname '*.static.prl' -exec cp --target-directory "${pkgdir}/usr/${_arch}/lib/qt/plugins" --parents {} +
+ popd
+ fi
+
+ # replace library path in *.prl files so it points to the installed location and not the build directory
+ find "${pkgdir}/usr/${_arch}/lib" \( -type f -name '*.prl' -o -name '*.pc' \) -exec sed -i -e "s:$PWD/lib:/usr/$_arch/lib:g" {} \;
+
+ # remove prl files for debug version
+ if ! [[ $MINGW_W64_QT_DEBUG_BUILD ]]; then
+ for file in $(find "${pkgdir}/usr/${_arch}" -name '*d.prl' -o -name '*d.static.prl'); do
+ [ -f "${file%d*}${file##*d}" ] && rm "${file}";
+ done
+ fi
+
+ # remove '.static.prl' files
+ find "${pkgdir}/usr/${_arch}" -name '.static.prl' -delete
+
+ # delete duplicate files that are in the shared package
+ find "${pkgdir}/usr/${_arch}" -name '*.exe' -delete
+ for shared_path in "${pkgdir}/usr/${_arch}/"{include,share} "${pkgdir}/usr/${_arch}/lib/"{qt/bin,qt/mkspecs}; do
+ [[ -d $shared_path ]] && rm -fR "$shared_path"
+ done
+ for file in $(find "$pkgdir/usr/$_arch/lib"); do
+ [[ -f "${file##$pkgdir}" ]] && rm "$file"
+ done
+
+ find "${pkgdir}/usr/${_arch}/lib" -maxdepth 1 -name '*.dll' -delete
+ find "${pkgdir}/usr/${_arch}" -name '*.dll' -exec ${_arch}-strip --strip-unneeded {} \;
+ find "${pkgdir}/usr/${_arch}" \( -name '*.a' -not -name 'libQt5QmlDevTools.a' -not -name 'libQt5Bootstrap.a' \) -exec ${_arch}-strip -g {} \;
+ [[ -d "${pkgdir}/usr/${_arch}/lib/qt/bin/" ]] && \
+ find "${pkgdir}/usr/${_arch}/lib/qt/bin/" -exec strip --strip-all {} \;
+ find "${pkgdir}/usr/${_arch}/lib/" -iname "*.so.$pkgver" -exec strip --strip-unneeded {} \;
+ popd
+ done
+
+ # drop QMAKE_PRL_BUILD_DIR because reference the build dir
+ find "${pkgdir}/usr/${_arch}/lib" -type f -name '*.prl' -exec sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' {} \;
+ done
+}
+
diff --git a/PKGBUILD.sh.ep b/PKGBUILD.sh.ep
new file mode 100644
index 00000000000..87756da456f
--- /dev/null
+++ b/PKGBUILD.sh.ep
@@ -0,0 +1 @@
+%= include "$default_package_name/mingw-w64/PKGBUILD";
diff --git a/qtspeech-sha256.txt b/qtspeech-sha256.txt
new file mode 100644
index 00000000000..8a507538cec
--- /dev/null
+++ b/qtspeech-sha256.txt
@@ -0,0 +1 @@
+7d2a5f7cf653d711de249ce4689959866d2381c625ced7ed4db7c8baaa140edc